using System;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;

namespace Rextester
{
    public class Program
    {
        public static void Main(string[] args)
        {
            int n=int.Parse(Console.ReadLine());
            int[] x, y;
            int i, sumnjivi;
            double osnovica1, osnovica 2, razlika;
            sumnjivi=0;
            for (i=0, i<n;i++)
            {
                x[i]=int.Parse(Console.ReadLine());
                y[i]=int.Parse(Console.ReadLine());
            }
            for(i=0;i<n;i++)
            {
                osnovica1=Math.Sqrt(Math.Pow(x[i]-x[i+1])+Math.Pow(y[i]-y[i+3],2));
                osnovica2=Math.Sqrt(Math.Pow(x[i+2]-x[i+3],2)+Math.Pow(y[i+2]-y[i+3],2));
                if(osnovica>osnovica2)
                    razlika=osnovica1/osnovica2;
                else
                    razlika=osnovica2/osnovica1;
                if(razlika==2)
                    sumnjivi++;
            }
                Console.WriteLine(sumnjivi);
        }
    }
}